Retrieve a list of import priorities

get

/api/bulk/2.0/imports/priorities

Retrieves a list of import priorities. Data import priority specifies the order in which Eloqua evaluates sources of data, and determines whether to update data in Eloqua. Data import priority is set within Eloqua.

Request

Supported Media Types
Query Parameters
  • A URL parameter that specifies the maximum number of records to return. This can be any positive integer between 1 and 1000 inclusive. If not specified, the default is 1000. Example: ?limit=5.
  • The links section in a resource return all the links by default. The client side might be only interested in a particular link. To satisfy that requirement, a "links" query parameter might be supported. The value of this query parameter is a list of relations separated by comma ",". For example, ?links=canonical, next will only return the links with "rel" property be canonical or next.
  • Specifies an offset that allows you to retrieve the next batch of records. Any positive integer. For example, if your limit is 1000, specifying an offset of 1000 will return records 1000 through 2000. If not specified, the default is 0. Example: ?offset=1000.
  • Specifies the name of the property to order the results by. The orderBy format is term ASC | DESC. Example: ?orderBy=name ASC.
  • A URL parameter that specifies query criteria used to filter results. The q format is termoperatorvalue. Use "*" for wildcard values. Example: ?q="name=*Test*" will find all the entities where the "name" field contains the string "Test".
  • Whether or not the total results are shown, and factored into the hasMore property in the response. When set to false, the totalResults property will not be returned, and the hasMore property will be determined based on returned events that match the criteria specified in the URL parameters. If not specified, the default is true.
Back to Top

Response

Supported Media Types

200 Response

OK.
Body ()
Root Schema : ImportPrioritySearchResponse
Type: object
Title: ImportPrioritySearchResponse
The response body contains information about the import priority definitions.
Show Source
  • Title: count
    Number of results returned in the request.
  • Title: hasMore
    Indicates if there are more results.
  • items
    Title: items
    The data endpoint returns whatever what synchronized. This is based on the fields parameter set in the initial import/export definition.
  • Title: limit
    The maximum number of records returned. Set with the limit URL parameter, and defaults to 1000 if not specified.
  • Title: offset
    The requested index from which records are returned. Set with the offset URL parameter, and defaults to 0 if not specified.
  • Title: totalResults
    Number of total results. Returned when the totalResults URL parameter is not set to false.
Nested Schema : items
Type: array
Title: items
The data endpoint returns whatever what synchronized. This is based on the fields parameter set in the initial import/export definition.
Show Source
Nested Schema : ImportPriority
Type: object
Title: ImportPriority
The definition of the import priority, for management of data source priority.
Show Source
  • Title: createdAt
    The date and time the entity was created, expressed using the ISO-8601 standard. This is a read-only property.
  • Title: createdBy
    The login id of the user who created the entity. This is a read-only property.
  • Title: name
    The asset's name.
  • Title: priority
    The import's queue position. This is a read-only property.
  • Title: updatedAt
    The date and time the entity was last updated, expressed using the ISO-8601 standard. This is a read-only property.
  • Title: updatedBy
    The login id of the user that last updated the entity. This is a read-only property.
  • Title: uri
    System-generated unique resource identifier that defines the definition for future referencing. This is a read-only property.

400 Response

Bad request. See Status Codes for information about other possible HTTP status codes.

401 Response

Unauthorized. See Status Codes for information about other possible HTTP status codes.

403 Response

Forbidden. See Status Codes for information about other possible HTTP status codes.

404 Response

The requested resource was not found. See Status Codes for information about other possible HTTP status codes.

409 Response

There was a conflict. See Status Codes for information about other possible HTTP status codes.

410 Response

The requested resource is no longer available. See Status Codes for information about other possible HTTP status codes.

412 Response

The resource you are attempting to delete has dependencies, and cannot be deleted. See Status Codes for information about other possible HTTP status codes.

413 Response

Storage space exceeded. See Status Codes for information about other possible HTTP status codes.

500 Response

The service has encountered an internal server error. See Status Codes for information about other possible HTTP status codes.

503 Response

There was a timeout processing the request. See Status Codes for information about other possible HTTP status codes.
Back to Top

Examples

The following examples demonstrate how to retrieve a list of import priorities using an HTTP request and cURL. For more information on requests, see API requests.

HTTP Request Example

Retrieve the import priority list:


GET /imports/priorities
			

Response:


{
    "items":[
        {
            "name":"Bulk API",
            "priority":1,
            "uri":"/imports/priorities/100001",
            "createdAt":"2012-04-15T15:42:17.5270000Z",
            "updatedAt":"2012-04-15T15:42:17.5270000Z"
        },
        {
            "name":"CRM Integration",
            "priority":2,
            "uri":"/imports/priorities/100002",
            "createdAt":"2012-04-15T15:42:17.5370000Z",
            "updatedAt":"2012-04-15T15:42:17.5370000Z"
        },
        {
            "name":"Third-party data",
            "priority":3,
            "uri":"/imports/priorities/100003",
            "createdAt":"2012-04-15T15:42:17.5400000Z",
            "updatedAt":"2012-04-15T15:42:17.5400000Z"
        },
        {
            "name":"Eloqua Report",
            "priority":4,
            "uri":"/imports/priorities/100004",
            "createdAt":"2012-04-15T15:42:17.5470000Z",
            "updatedAt":"2012-04-15T15:42:17.5470000Z"
        },
        {
            "name":"Remote File over SFTP",
            "priority":5,
            "uri":"/imports/priorities/100005",
            "createdAt":"2012-04-15T15:42:17.5500000Z",
            "updatedAt":"2012-04-15T15:42:17.5500000Z"
        },
        {
            "name":"Manual upload",
            "priority":6,
            "uri":"/imports/priorities/100006",
            "createdAt":"2012-04-15T15:42:17.5500000Z",
            "updatedAt":"2012-04-15T15:42:17.5500000Z"
        }
    ],
    "totalResults":6,
    "limit":1000,
    "offset":0,
    "count":6,
    "hasMore":false
}
			

cURL Example

Here is the same example in cURL given an instance with the name APITest, username API.User, and POD of 3.


curl --user "APITest\API.User" --request GET https://secure.p03.eloqua.com/api/bulk/2.0/imports/priorities
			
Back to Top